<?php
session_start();
?>
<!DOCTYPE html>
<html lang="cs">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/x-icon" href="http://109.123.243.163/fht/favicon.ico">

	<meta name="author" content="Smejkal, Suljakovic, Somr">
	<meta name="description" content="Průvodce Hrádeckou Fabrikou">
	<meta name="keywords" content="Foto, Old, Abandoned, Creepy, Panorama">

	<script src="./res/global.js"></script>
	<link rel="stylesheet" href="./res/global.css">

	<script src="./res/index/script.js"></script>
	<link rel="stylesheet" href="./res/index/style.css">

    <title>Fabrika Hrádek Tour</title>
</head>
<body onload="repeat_panorama(); change_slideshow_img();">
	<nav id="nav_buttons">
		<button class="tlacitko" onclick="move('./map.html', true)">Mapa</button>
		<button class="tlacitko" onclick="move('https://earth.google.com/web/@49.71686994,13.64771387,395.10185485a,550.97177309d,35y,0h,0t,0r', false)">Google Earth</button>
		<button class="tlacitko" onclick="move('./autori.html', true)">Autoři</button>

		<div id="login_buttons">
			<button class="tlacitko" onclick="show_login()">Přihlášení</button>
			<button class="tlacitko" onclick="show_register()">Registrace</button>
		</div>

		<form method="post">
			<input id="logout_button" class="tlacitko" type="submit" name="logout_button" value="Odhlásit se"></div>
		</form>
	</nav>
	<div id="textPole">V roce 1900 byla v obci Hrádek, místní části Nová Huť, postavena železárna. Založení Železáren Hrádek se datuje do roku 1900, kdy tamní hamr zakoupil podnikatel Rudolf L. Hudlický. Rok nato zahájila provoz modernizovaná kujná huť, která vyráběla především železné nářadí pro zemědělce, zahradníky a horník. V průběhu let se areál rozrostl a byly zde postaveny další budovy, včetně válcovny, slévárny šedé litiny a v období 1912-1915 začal s výstavbou betonové konstrukce Siemens-martinské ocelárny podle návrhu architekta Stanislava Bechyně s přilehlou válcovací tratí. Po znárodnění v roce 1948 byly Železárny Hrádek zařazeny do národního podniku Spojené ocelárny. V současné době je majitelem Železáren Hrádek podnikatel Zdeněk Zemek. Jeho firma, Z-Group Steel Holding, sdružuje původně nezávislé železárny a válcovny ve Veselí nad Moravou, v Hrádku u Rokycan a v Chomutově. Nicméně, v posledních letech byly vzneseny obvinění, že Zemek vykrádá Železárny Hrádek. Tato obvinění se týkají jeho obchodních praktik a způsobu, jakým spravuje tyto železárny. Kritici tvrdí, že jeho vedení vedlo k finančním ztrátám a potenciálnímu poškození dlouhodobé udržitelnosti těchto historických průmyslových zařízení.</div>

	<header><img src="//:0" id="slideshow" alt="Slideshow"></header>

	<div id="login_pane">
		<form method="post">
			<div>Uživatelské jméno: <input type="text" minlength="4" maxlength="32" name="username" required><br></div>
			<div>Heslo: <input type="password" name="password" required><br></div>
			<div id="sub_btn_div"><input id="sub_btn" type="submit" name="sub"></div>
		</form>
	</div>

	<div id="login_indicator">
		<div id="login_indicator_text">Přihlášen jako:</div>
		<button id="social_button" onclick="move('./forum.php', true)">Fórum</button>
	</div>

	<?php
		include("./res/global.php");

		//CHECK FOR LOGIN
		if (isset($_SESSION["username"])) login(null);

		if (isset($_POST["sub"]))
		{
			$safe_uname = mysqli_real_escape_string($database, $_POST["username"]);
			$hashed_pass = hash("sha256", $_POST["password"]);

			if (str_starts_with($_POST["sub"], "Registrovat"))
			{
				$database -> query("INSERT INTO user (username, password) VALUES (\"" . $safe_uname . "\",\"" . $hashed_pass ."\")");

				login($safe_uname);
			} else
			{
				$res = $database -> query("SELECT username, password FROM user WHERE BINARY username=\"" . $safe_uname . "\" AND BINARY password = \"" . $hashed_pass . "\"");

				if ($res -> num_rows == 1)
				{
					login($safe_uname);
				} else
				{
					echo "<script>alert(\"Nesprávné uživatelské jméno nebo heslo.\");</script>";
				}
			}
		}

		if (isset($_POST["logout_button"]))
		{
			unset($_SESSION["username"]);
			echo "<script>logout()</script>";
		}

		function login($uname)
		{
			if ($uname != null)
			{
				$_SESSION["username"] = $uname;
			} else
			{
				$uname = $_SESSION["username"];
			}

			echo "<script>set_login_uname(\"" . $uname . "\")</script>";
		}
	?>
</body>
</html>
